package com.platomix.intchannel.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.platomix.intchannel.mapper.YksytFinanceBillAuditMapper;
import com.platomix.intchannel.model.YksytFinanceBillAudit;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 结算单审核表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Service
@DS("slave")
public class YksytFinanceBillAuditService extends ServiceImpl<YksytFinanceBillAuditMapper, YksytFinanceBillAudit> {


    public List<Long> customAidList(Page<YksytFinanceBillAudit> page, QueryWrapper<YksytFinanceBillAudit> queryWrapper) {
        return baseMapper.customAidList(page, queryWrapper);
    }

    public long customCount(QueryWrapper<YksytFinanceBillAudit> queryWrapper) {
        return baseMapper.customCount(queryWrapper);
    }

    public List<YksytFinanceBillAudit> customList(QueryWrapper<YksytFinanceBillAudit> queryWrapper) {
        return baseMapper.customList(queryWrapper);
    }
}
